#ifndef __GR__
#define __GR__

#define DEBUG 0

#if DEBUG
  #include <LEDA/graphics/window.h>
  #include <LEDA/graphics/menu.h>
  #include <LEDA/numbers/rational.h>
  #include <LEDA/core/list.h>
  #include <LEDA/geo/d3_hull.h>
  #include <LEDA/graphics/d3_window.h>
  #include <LEDA/geo/d3_rat_point.h>
  #include <LEDA/geo/d3_rat_segment.h>
  #include <LEDA/geo/geo_alg.h>
  #include <iostream>
  #include <string>
  #include <fstream.h>
#else
  #include <LEDA/window.h>
  #include <LEDA/menu.h>
  #include <LEDA/rational.h>
  #include <LEDA/list.h>
  #include <LEDA/d3_hull.h>
  #include <LEDA/d3_rat_point.h>
  #include <LEDA/d3_rat_segment.h>
  #include <LEDA/d3_window.h>
  #include <LEDA/geo_alg.h>
  #include <iostream.h>
  #include <string.h>
  #include <fstream.h>
#endif
#include <stdio.h>
#include <time.h>

#define WINDOW_X_SIZE 512 + 256
#define WINDOW_Y_SIZE 512 + 256

#if defined(LEDA_STD_IO_HEADERS)
  using std::ostream;
  using std::istream;
  using std::cout;
  using std::cin;
  using std::cerr;
  using std::endl;
#endif

using namespace leda;

enum command{Graphopen = 1, Graphsave, New, Nodeinsert, Nodedelete, Lastarize, Crossedit, Run, Exit};

#endif
